Subject: connectionless or connection oriented (RE: [NSIS] framework: prop osal on fragmentation)

From: "Hancock, Robert" <[email-masked]>
Date: Tue, 10 Jun 2003 10:25:25 +0100

hi maarten/melinda,

i'm only replying to this email to give it a different subject line.

the fragmentation support question for the framework is purely about
NTLP functionality, that's the question i'm trying to get to an 
answer on.

i think the connectionless/connection-oriented decision - whether or
not it has already been made - should be purely invisible outside the
NTLP design. (in fact, I think we have already agreed on that, at least.) so
it's a different and largely decoupled topic.

thanks,

robert h.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 10 June 2003 09:54
> To: [email-masked]; Melinda Shore
> Subject: Re: [NSIS] framework: proposal on fragmentation
> 
> 
> During the last meeting it has been decided to use 2205 and
> 2961 as a starting point for the NTLP work. This allows for
> raw IP and UDP as transport protocols. However, as you
> mentioned, about the use of other (connection oriented)
> transport protocols no decision was taken either way.
> 
> 2961 adds congestion control and reliable delivery functionality
> to RSVP. However, the authors have indicated that there
> is room for improvement. Connection oriented transport
> protocols can provide the functionality as well. This will
> allow for reusing existing protocols.
> Hence, we support to allow for connection oriented transport
> protocols like TCP.
> 
> kind regards,
> Maarten
> 
> 
> 
> 
> 
> Melinda Shore <[email-masked]>@ietf.org on 06/06/2003 17:27:13
> 
> Sent by:    [email-masked]
> 
> 
> To:    "Lars.Westberg" <[email-masked]>
> cc:    "Geib, Ruediger" <[email-masked]>, [email-masked]
> Subject:    Re: [NSIS] framework: proposal on fragmentation
> 
> 
> > I would recommend that we have two modes of operation in mind:
> > RSVPoverSCTP
> > RSVPover UDP
> 
> We reached an agreement at the last meeting, confirmed on
> the mailing list, that we'd run over a connectionless
> protocol - that we would gut 2205 and 2961 and use that as
> the basis for an NTLP.  If you go back and look at John's
> slides from the meeting there was no agreement even to make
> a connection-oriented protocol available as an option (that
> is to say, no decision was made either way).  One of the
> things that's killing progress in a number of IETF working
> groups is the unfortunate tendency to want to go back and
> revisit and revisit and revisit and revisit decisions that
> we don't agree with.  We need to put a stop to that.
> 
> That said, I think that we can almost certainly put an NTLP
> over a connection-oriented protocol, but that we do not want
> to do this in the baseline.  Unless there's new information
> today that wasn't available in March, however, revisiting
> the decision that was made then seems like an incredibly bad
> idea.
> 
> Melinda
> _______________________________________________
> nsis mailing list
> [email-masked]
>  https://www1.ietf.org/mailman/listinfo/nsis
> 
> 
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 
_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis